<?php
/*
  $Id$

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

// look in your $PATH_LOCALE/locale directory for available locales
// or type locale -a on the server.
// Array examples which should work on all servers:
// 'en_US.UTF-8', 'en_US.UTF8', 'enu_usa'
// 'en_GB.UTF-8', 'en_GB.UTF8', 'eng_gb'
// 'en_AU.UTF-8', 'en_AU.UTF8', 'ena_au'
@setlocale(LC_ALL, ['fr_FR.UTF-8', 'fr_FR.UTF8', 'fra_fr']);

const DATE_FORMAT_SHORT = '%d/%m/%Y';  // this is used for strftime()
const DATE_FORMAT_LONG = '%A %d %B %Y'; // this is used for strftime()
const DATE_FORMAT = 'd/m/Y'; // this is used for date()
const DATE_TIME_FORMAT = DATE_FORMAT_SHORT . ' %H:%M:%S';

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the application's default currency (used when changing language)
const LANGUAGE_CURRENCY = 'EUR';

// Global entries for the <html> tag
const HTML_PARAMS = '';

// charset for web pages and emails
const CHARSET = 'utf-8';

// page title
const TITLE = STORE_NAME;

// text in includes/modules/downloads.php
const HEADER_TITLE_MY_ACCOUNT = 'Mon Compte';

// checkout procedure text
const CHECKOUT_BAR_DELIVERY = 'Information livraison';
const CHECKOUT_BAR_PAYMENT = 'Information paiement';
const CHECKOUT_BAR_CONFIRMATION = 'Confirmation';

// pull down default text
const PULL_DOWN_DEFAULT = 'Veuillez Sélectionnez';

// javascript messages
const JS_ERROR = 'Des erreurs sont survenues durant le traitement de votre formulaire.\n\nVeuillez effectuer les corrections suivantes :\n\n';

const JS_ERROR_NO_PAYMENT_MODULE_SELECTED = '* Veuillez choisir une Mode de paiement pour votre commande.\n';

const ERROR_NO_PAYMENT_MODULE_SELECTED = 'Veuillez choisir une Mode de paiement pour votre commande.';

const IMAGE_BUTTON_ADD_ADDRESS = 'Ajouter adresse';
const IMAGE_BUTTON_BACK = 'Retour';
const IMAGE_BUTTON_BUY_NOW = 'Acheter';
const IMAGE_BUTTON_CHANGE_ADDRESS = 'Changez l\'adresse';
const IMAGE_BUTTON_CHECKOUT = 'Commander';
const IMAGE_BUTTON_CONFIRM_ORDER = 'Confirmer la commande';
const IMAGE_BUTTON_CONTINUE = 'Continuer';
const IMAGE_BUTTON_DELETE = 'Supprimer';
const IMAGE_BUTTON_LOGIN = 'Connexion';
const IMAGE_BUTTON_IN_CART = 'Acheter';
const IMAGE_BUTTON_SEARCH = 'Rechercher';
const IMAGE_BUTTON_UPDATE = 'Mettre à jour';
const IMAGE_BUTTON_UPDATE_PREFERENCES = 'Mettre à jour Préferences';

const SMALL_IMAGE_BUTTON_DELETE = 'Supprimer';
const SMALL_IMAGE_BUTTON_EDIT = 'Editer';
const SMALL_IMAGE_BUTTON_VIEW = 'Afficher';
const SMALL_IMAGE_BUTTON_BUY = 'Acheter';

const TEXT_CCVAL_ERROR_INVALID_DATE = 'La date d\'expiration entrée pour cette carte de crédit n\'est pas valide. Veuillez vérifier la date et réessayez.';
const TEXT_CCVAL_ERROR_INVALID_NUMBER = 'Le numémero entrée pour cette carte de crédit n\'est pas valide. Veuillez vérifier le numéro et réessayez.';
const TEXT_CCVAL_ERROR_UNKNOWN_CARD = 'Le code à 4 chiffres que vous avez entré est : %s. Si ce code est correct, nous n\'acceptons pas ce type de carte crédit. S\'il est erroné veuillez réessayer.';

const TEXT_SEARCH_PLACEHOLDER = 'Rechercher';

// message for required inputs
const FORM_REQUIRED_INFORMATION = '<i class="fas fa-asterisk text-danger"></i> Information Requise';
const FORM_REQUIRED_INPUT = '<span class="form-control-feedback text-danger"><i class="fas fa-asterisk"></i></span>';

// product notifications
const PRODUCT_SUBSCRIBED = '%s a été rajouté à votre Liste de Notifications';
const PRODUCT_UNSUBSCRIBED = '%s a été supprimé de votre Liste de Notifications';
const PRODUCT_ADDED = '%s a été rajouté à votre Panier';
const PRODUCT_REMOVED = '%s a été supprimé de votre Panier';

// bootstrap helper
const MODULE_CONTENT_BOOTSTRAP_ROW_DESCRIPTION = '';

// noscript helper
const TEXT_NOSCRIPT = <<<'EOT'
<p><strong>JavaScript semble être désactivé dans votre navigateur.</strong>
</p><p>Vous devrez activer JavaScript dans votre navigateur pour utiliser pleinement les fonctionnalités de ce site web.<br>
<a class="alert-link" href="https://www.enable-javascript.com/fr/" target="_blank" rel="noreferrer">Cliquez ici pour les instructions sur l\'activation du javascript dans votre navigateur</a>.</p>
EOT;

// for new style internal pages
const LINK_TEXT_EDIT = '<small><a class="%s" href="%s">Editer</a></small>';
const SHIPPING_FA_ICON = '<i class="fas fa-shipping-fast fa-fw fa-3x float-right text-black-50"></i>';
const PAYMENT_FA_ICON = '<i class="fas fa-file-invoice-dollar fa-fw fa-3x float-right text-black-50"></i>';

const ENTRY_COMMENTS = 'Quelque chose autre à nous dire ?';
const ENTRY_COMMENTS_PLACEHOLDER = 'Laisser un commentaire...';
