<?php
/*
  $Id$

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

const NAVBAR_TITLE_1 = 'Recherche avancée';
const NAVBAR_TITLE_2 = 'Résultat de la recherche';

const HEADING_TITLE_1 = 'Recherche avancée';
const HEADING_TITLE_2 = 'Produits répondant aux critères de recherche';

const HEADING_SEARCH_CRITERIA = 'Critères de recherche';

const TEXT_SEARCH_IN_DESCRIPTION = 'Chercher dans les descriptions de produits';
const ENTRY_CATEGORIES = 'Catégories :';
const ENTRY_INCLUDE_SUBCATEGORIES = 'Inclure les sous-catégories';
const ENTRY_MANUFACTURERS = 'Fabricants :';
const ENTRY_PRICE_FROM = 'Prix à partir de :';
const ENTRY_PRICE_TO = 'Prix jusqu\'à :';
const ENTRY_DATE_FROM = 'Depuis la date :';
const ENTRY_DATE_TO = 'Jusqu\'à la date :';

const ENTRY_PRICE_FROM_TEXT = 'De';
const ENTRY_PRICE_TO_TEXT = 'A';

const ENTRY_DATE = 'Date';
const ENTRY_PRICE = 'Prix';

const TEXT_SEARCH_HELP_LINK = '<i class=="fas fa-info-circle"></i>Aide à la recherche';

const TEXT_ALL_CATEGORIES = 'Toutes les catégories';
const TEXT_ALL_MANUFACTURERS = 'Tous les fabricants';

const HEADING_SEARCH_HELP = 'Aide à la recherche';
const TEXT_SEARCH_HELP = <<<'EOT'
Vous pouvez séparer les mots clés par les opérateurs logiques AND et OR pour un contrôle plus important des résultats.<br>
<br>
Par exemple, <u>Fiacre AND poire</u> génère les résultats qui répondent simultanément aux deux critères. Toutefois, si vous tapez <u>orange OR lemon</u>, vous obtiendrez soit les deux, soit l\'un des deux mots.<br>
<br>
Les correspondances exactes peuvent être recherchées en mettant entre guillemets les mots-clé.<br>
<br>
Par exemple, <u>"pomme verte"</u> génère un résultat qui correspond exactement.<br>
<br>
Les parenthèses peuvent utilisées pour plus de contrôle des résultats.<br>
<br>
Par exemple, <u>Pixabay et (citon vert ou rouge ou "pomme verte")</u>.
EOT;
const TEXT_CLOSE_WINDOW = '<u>Fermer la fenêtre</u> [x]';

const TEXT_NO_PRODUCTS = 'Il n\'y a aucun produit correspondant à vos critères de recherche.';

const ERROR_AT_LEAST_ONE_INPUT = 'Au moins un critère de recherche doit être rempli.';
const ERROR_INVALID_FROM_DATE = 'Date du champ <u>Depuis la date<\/u> non-valide.';
const ERROR_INVALID_TO_DATE = 'Date du champ <u>Jusqu\'à la date<\/u> non-valide.';
const ERROR_TO_DATE_LESS_THAN_FROM_DATE = '"Jusqu\'à la date" devrait être une date supérieure à ou égale à la date "Depuis".';
const ERROR_PRICE_FROM_MUST_BE_NUM = 'Le prix du champ <u>Prix à partir de<\/u> ne doit contenir que des chiffres.';
const ERROR_PRICE_TO_MUST_BE_NUM = 'Le prix du champ <u>Prix jusqu\'à<\/u> ne doit contenir que des chiffres.';
const ERROR_PRICE_TO_LESS_THAN_PRICE_FROM = 'Le prix du champ <u>Prix jusqu\'à<\/u> doit être supérieure ou égale au prix du champ <u>Prix à partir de<\/u>.';
const ERROR_INVALID_KEYWORDS = 'Mots-clés non-valides.';

const DOB_FORMAT_STRING = 'dd/mm/yyyy';
